Page MenuHomeVyOS Platform

poweroff in 5 displays an error message
Closed, ResolvedPublicBUG

Description

I just tried shutting down the system in 5 minutes but the command displays an error:

vyos@vyos:~$ poweroff in 5
Unit systems-shutdownd.service could not be found.
Poweroff or reboot is not scheduled

After 5 minutes, the system does actually power off.

I am running vyos-1.3-rolling-201912310217. This seems related to T1826, T1842 and T1855.

Details

Difficulty level
Unknown (require assessment)
Version
vyos-1.3-rolling-201912310217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

njh created this task.Dec 31 2019, 8:13 PM
njh renamed this task from poweroff in 5 fails to poweroff in 5 displays an error message.Jan 3 2020, 11:41 PM
njh updated the task description. (Show Details)

Latest rolling.

sever@vyos-1.3:~$ poweroff in 5
Poweroff is scheduled 2020-04-06 12:02:52
sever@vyos-1.3:~$

journalctl

Apr 06 11:57:52 vyos-1.3 sudo[4012]:    sever : TTY=pts/0 ; PWD=/home/sever ; USER=root ; COMMAND=/usr/libexec/vyos/op_mode/powerctrl.py --yes --poweroff 5

Should we close this task?

pasik added a subscriber: pasik.Apr 7 2020, 7:14 AM
dmbaturin closed this task as Resolved.Thu, Jun 18, 10:45 PM
dmbaturin claimed this task.
dmbaturin added a subscriber: dmbaturin.

Definitely works fine after the work from T1855